#! /bin/bash

if [ -f "/usr/share/nfs-domain-client/salt/config.ini" ]; then
	if grep -q "add_domain_success=true" /usr/share/nfs-domain-client/salt/config.ini; then
		echo "join domain,start session agent"
	else
		exit 0
	fi
else
	exit 0
fi

systemctl --user enable /lib/systemd/user/nfs-domain-session.service
status=$(systemctl --user is-active nfs-domain-session.service)
if [ "$status" = "inactive" ]; then
	systemctl --user start nfs-domain-session.service
fi
dbus-send --session --type=method_call --print-reply --dest=com.nfs.domain.session /com/domain/agent com.nfs.domain.agent.post_login

#start watermark
WATERMARK_CFG="$HOME/.config/watermark/watermark.cfg"
if [ -e "$WATERMARK_CFG" ]; then
	/usr/bin/start_watermark.sh
fi
